List communities (staff)
GET /api/communities. List communities (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Pages every community in the organization, drafts included, filtered by status and searched by title.
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20search?string
Length
length <= 200sort?string
status?string
Value in
- "draft"
- "published"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/communities"{ "rows": [ { "orgId": "string", "id": "string", "type": "community", "title": "string", "slug": "string", "description": "string", "status": "draft", "thumbnailAssetId": "string", "settings": { "dm": { "enabled": true, "memberToMember": true, "memberToStaff": true, "staffToAnyone": true, "firstMessageIsRequest": true, "groupChats": true, "groupSize": 1 } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "thumbnailUrl": "string" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}